OSSIM-CHIPPER(1)

NAME
ossim-chipper - ossim-chipper

SYNOPSIS
ossim-chipper [option]... [input-option]... <input-file(s)> <output-file>

DESCRIPTION
Note at least one input is required either from one of the input options, e.g. --input-dem <my-dem.hgt> or adding to command line in front of the output file in which case the code will try to ascertain what type of input it is.

Available traces: -T "ossimChipperUtil:debug" - General debug trace to standard out. -T "ossimChipperUtil:log" - Writes a log file to output-file.log. -T "ossimChipperUtil:options" - Writes the options to output-file-options.kwl.

Description: ossim-chipper Utility application for generating elevation products from dem data.

OPTIONS

--2cmv-blue-output-source
    <source> Two color multi view source input for blue output. Either, old, new, or mp(min pix). Default=new.

--2cmv-green-output-source
    <source> Two color multi view source input for green output. Either, old, new, or mp(min pix). Default=new.

--2cmv-new-input-band
    <band> Band to use for two color multi view new input.

--2cmv-old-input-band
    <band> Band to use for two color multi view old input.

--2cmv-red-output-source
    <source> Two color multi view source input for red output. Either, old, new, or mp(min pix). Default=old.

--azimuth
    <azimuth> hillshade option - Light source azimuth angle for bump shade. Range: 0 to 360, Default = 180.0

--brightness
    <brightness> Apply brightness to input image(s). Valid range: -1.0 to 1.0

--central-meridian
    <central_meridian_in_decimal_degrees> Note if set this will be used for the central meridian of the projection. This can be used to lock the utm zone.

--clip-poly-lat-lon
    Polygon in the form of a string: (lat,lon),(lat,lon),...(lat,lon)

--clip-wms-bbox-ll
    <minx>,<miny>,<maxx>,<maxy> Specify a comma separated list in the format of a WMS BBOX. The units are always decimal degrees

--color
    <r> <g> <b> hillshade option - Set the red, green and blue color values to be used with hillshade. This option can be used with or without an image source for color. Range 0 to 255, Default r=255, g=255, b=255

--color-table
    <color-table.kwl> hillshade or color-relief option - Keyword list containing color table for color-relief option.

--combiner-type
    <type> ossimBlendMosaic, ossimFeatherMosaic, ossimImageMosaic. Default: ossimImageMosaic. Example --combiner-type ossimImageMosaic

--contrast
    <contrast> Apply contrast to input image(s). Valid range: -1.0 to 1.0

--cut-bbox-ll
    <min_lat> <min_lon> <max_lat> <max_lon> Specify a bounding box with the minimum latitude/longitude and max latitude/longitude in decimal degrees. Note coordinates are edge to edge.

--cut-bbox-llwh
    <min_lat> <min_lon> <max_lat> <max_lon> <width> <height> Specify a bounding box with the minimum latitude/longitude, max latitude/longitude in decimal degrees and width/height in pixels. Note coordinates are edge to edge.

--cut-bbox-xywh
    <x>,<y>,<width>,<height> Specify a comma separated bounding box.

--cut-center-llr
    <latitude> <longitude> <radius_in_meters> Specify the center cut in latitude longitude space with radius in meters.

--cut-center-llwh
    <latitude> <longitude> <width> <height> Specify the center cut in latitude longitude space with width and height in pixels.

--cut-height
    <height> Specify the cut height in pixel

--cut-width
    <width> Specify the cut width in pixel

--cut-wms-bbox
    <minx>,<miny>,<maxx>,<maxy> Specify a comma separated list in the format of a WMS BBOX. The units are in the units of the projector defined by the --srs key

--cut-wms-bbox-ll
    <minx>,<miny>,<maxx>,<maxy> Specify a comma separated list in the format of a WMS BBOX. The units are always decimal degrees

--degrees
    <dpp_xy> | <dpp_x> <dpp_y> Specifies an override for degrees per pixel. Takes either a single value applied equally to x and y directions, or two values applied correspondingly to x then y. This option takes precedence over the "--meters" option.

--disable-elev
    Will disable the elevation

--disable-notify
    Takes an argument. Arguments are ALL, WARN, NOTICE, INFO, FATAL, DEBUG. If you want multiple disables then just do multiple --disable-notify on the command line. All argument are case insensitive. Default is all are enabled.

--disable-plugin
    Will disable the plugin loader

--elevation
    <elevation> hillshade option - Light source elevation angle for bumb shade. Range: 0 to 90, Default = 45.0

--exaggeration
    <factor> Multiplier for elevation values when computing surface normals. Has the effect of lengthening shadows for oblique lighting. Range: .0001 to 50000, Default = 1.0

--hemisphere
    <hemisphere> Specify a projection hemisphere if supported. E.g. UTM projection. This will lock the hemisphere even if input scene center is the other hemisphere. Valid values for UTM are "N" and "S"

--histogram-op
    <operation> Histogram operation to perform. Valid operations are "auto-minmax", "std-stretch-1", "std-stretch-2" and "std-stretch-3".

--image-space-scale
    <x> <y> Specifies an image space scale for x and y direction. "chip" operation only.

--input-dem
    <dem> Input dem to process.

--input-img
    <image> Input image to process.

--input-src
    <file.src> Input source file list keyword list with list of dems or images or both to process.

--meters
    <meters> Specifies an override for the meters per pixel

--op
    <operation> Operation to perform. Valid operations are "chip", "color-relief", "hillshade", "psm"(pan sharpened multispectral), "2cmv"(two color multi view) and "ortho". chip = input projection = output projection(image space), single image operation only.

--options
    <options.kwl> This can be all or part of the application options. To get a template you can turn on trace to the ossimChipperUtil class by adding "-T ossimChipperUtil" to your command.

--origin-latitude
    <latidude_in_decimal_degrees> Note if set this will be used for the origin latitude of the projection. Setting this to something other than 0.0 with a geographic projection creates a scaled geographic projection.

--ossim-logfile
    takes a logfile as an argument. All output messages are redirected to the specified log file. By default there is no log file and all messages are enabled.

--output-radiometry
    <R> Specifies the desired product's pixel radiometry type. Possible values for <R> are: U8, U11, U16, S16, F32. Note this overrides the deprecated option "scale-to-8-bit".

--pad-thumbnail
    <boolean> If true, output thumbnail dimensions will be padded in width or height to make square; else, it will have the aspect ratio of input, Default=false

--projection
    <output_projection> Valid projections: geo, geo-scaled, input or utm geo = Equidistant Cylindrical, origin latitude = 0.0 geo-scaled = Equidistant Cylindrical, origin latitude = image center input Use first images projection. Must be a map projecion. utm = Universal Tranverse Mercator If input and multiple sources the projection of the first image will be used. If utm the zone will be set from the scene center of first image. NOTE: --srs takes precedence over this option.

--reader-prop
    <string>Adds a property to send to the reader. format is name=value

--resample-filter
    <type> Specify what resampler filter to use, e.g. nearest neighbor, bilinear, cubic, sinc. See ossim-info --resampler-filters

--rrds
    <rrds> Reduced resolution data set where 0 is full resolution. "chip" operation only.

--scale-to-8-bit
    Scales the output to unsigned eight bits per band. This option has been deprecated by the newer "--output-radiometry" option.

--sharpen-mode
    <mode> Applies sharpness to image chain(s). Valid modes: "light", "heavy"

--snap-tie-to-origin
    Snaps tie point to projection origin so that (tie-origin)/gsd come out on an even integer boundary.

--srs
    <src_code> Specify a spatial reference system(srs) code for the output projection. Example: --srs EPSG:4326

--three-band-out
    Force three band output even if input is not. Attempts to map bands to RGB if possible.

--tile-size
    <size_in_pixels> Sets the output tile size if supported by writer. Notes: This sets both dimensions. Must be a multiple of 16, e.g. 1024.

--writer-prop
    <writer-property> Passes a name=value pair to the writer for setting it's property. Any number of these can appear on the line.

--zone
    <zone> Specify a projection zone if supported. E.g. UTM projection. This will lock the zone even if input scene center is in another zone. Valid values for UTM are "1" to "60"

-K  specify individual keywords to add to the preferences keyword list: name=value

-P  specify a preference file to load

-T  specify the classes to trace, ex: ossimInit|ossimImage.* will trace ossimInit and all ossimImage classes

-b or --bands <n,n...>
    Use the specified bands in given order: e.g. "3,2,1" will select bands 3, 2 and 1 of the input image. Note: it is 1 based

-e or --entry
    <entry> For multi image handlers which entry do you wish to extract. For list of entries use: "ossim-info -i <your_image>"

-h or --help
    Display this help and exit.

-n or --north-up
    Rotates image North up. "chip" operation only.

-r or --rotate
    <degrees> Rotate image by degrees. "chip" operation only.

-t or --thumbnail
    <max_dimension> Specify a thumbnail resolution. Scale will be adjusted so the maximum dimension = argument given.

-u or --up-is-up
    Rotates image to up is up. "chip" operation only.

-w or --writer
    <writer> Specifies the output writer. Default uses output file extension to determine writer. For valid output writer types use: "ossim-info --writers"

NOTES: 1) Never use same base name in the same directory! Example is you have a Chicago.tif

    and you want a Chicago.jp2, output Chicago.jp2 to its own directory.

Example commands:

// File conversion: Convert geotiff to a jp2 file. ossim-chipper --op chip -w ossim_kakadu_jp2 Chicago.tif outputs/Chicago.jp2

// Orthorectification: Orthorectify a nitf with RPC model out to a geotiff. ossim-chipper --op ortho 5V090205P0001912264B220000100282M_001508507.ntf outputs/ortho.tif

// Mosaic: Mosaic multiple images together and output to a geotiff. ossim-chipper --combiner-type ossimImageMosaic --op ortho f1.tif f2.tif f3.tif outputs/mosaic.tif

// Mosaic: Feather Mosaic multiple images together and output to a geotiff. ossim-chipper --combiner-type ossimFeatherMosaic --op ortho f1.tif f2.tif f3.tif outputs/feather.tif

// Color relief: Colorize two DEMs from a lut, output to a geotiff. ossim-chipper --op color-relief --color-table ossim-dem-color-table-template.kwl N37W123.hgt N38W123.hgt outputs/color-relief.tif

// Color relief: Colorize two DEMs from a lut, output to a png thumbnail. ossim-chipper --op color-relief --color-table ossim-dem-color-table-template.kwl -t 1024 -w ossim_png N37W123.hgt N38W123.hgt outputs/color-relief.png

// Hill shade: Hill shade two DEMs, output to a geotiff. ossim-chipper --color 255 255 255 --azimuth 270 --elevation 45 --exaggeration 2.0 --op hillshade N37W123.hgt N38W123.hgt outputs/hillshade.tif

// Two color multi view with cut box. First image is old, second image is new: ossim-chipper --cut-bbox-ll 28.092885092033352 -80.664539599998633 28.109128691071547 -80.626914963229325 --op 2cmv oldMLB.tif newMLB.tif outputs/2cmv-test1.tif

// Ortho about point, 512x512, with histogram stretch, and 3,2,1 band order: ossim-chipper --op ortho -b 3,2,1 --histogram-op auto-minmax --cut-center-llwh -42.819784401784275 147.265811350983 512 512 5V090205M0001912264B220000100072M_001508507.ntf orth.tif

// Chip, in image space, about point, 512x512, with histogram stretch, and 3,2,1 band order: ossim-chipper --op chip -b 3,2,1 --histogram-op auto-minmax --cut-center-llwh -42.819784401784275 147.265811350983 512 512 5V090205M0001912264B220000100072M_001508507.ntf chip.tif

// Chip in image space, rotate "up is up"(-u option) about point, 512x512 with histogram stretch and 3,2,1 band order: ossim-chipper --op chip -u -b 3,2,1 --histogram-op auto-minmax --cut-center-llwh -42.819784401784275 147.265811350983 512 512 5V090205M0001912264B220000100072M_001508507.ntf up-is-up-chip.tif

// Chip in image space, rotate 39 degrees (-r option) about point, 1024x1024, scaled to eight bit: ossim-chipper --op chip -r 39 --histogram-op auto-minmax --cut-center-llwh -42.883809539602893 147.331984112985765 1024 1024 --output-radiometry U8 5V090205P0001912264B220000100282M_001508507.ntf outputs/r39.png

// Above command where all options are in a keyword list: ossim-chipper --options r39-options.kwl

SEE ALSO
The full documentation for ossim-chipper is maintained as a Texinfo manual. If the info and ossim-chipper programs are properly installed at your site, the command

    info ossim-chipper

should give you access to the complete manual.